import os

DEBUG = True
DATABASES = {
    'default': {
        'NAME': 'testing_main',
        'ENGINE': 'postgresql_psycopg2',
    }
}
INSTALLED_APPS = [
    'django.contrib.auth',
    'django.contrib.admin',
    'django.contrib.comments',
    'django.contrib.contenttypes',
    'django.contrib.flatpages',
    'django.contrib.markup',
    'django.contrib.messages',
    'django.contrib.sessions',
    'django.contrib.sites',
    'djutils',
    'djutils.dashboard',
    'djutils.dashboard.contrib',
    'example',
]
SITE_ID = 1
TEMPLATE_CONTEXT_PROCESSORS = ('djutils.context_processors.settings',)
QUEUE_CLASS = 'djutils.queue.backends.database.DatabaseQueue'
QUEUE_NAME = 'testqueue'
ROOT_URLCONF = 'urls'
TEMPLATE_DIRS = ('/home/charles/code/django-utils/example/templates/',)
TEMPLATE_LOADERS = (
    'django.template.loaders.filesystem.load_template_source',
    'django.template.loaders.app_directories.load_template_source',
)

TEMPLATE_CONTEXT_PROCESSORS = (
    'django.core.context_processors.auth',
    'django.core.context_processors.debug',
    'django.core.context_processors.media',
    'django.contrib.messages.context_processors.messages',
    'django.core.context_processors.request'
)

MIDDLEWARE_CLASSES = (
    'django.middleware.common.CommonMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware', 
    'django.contrib.messages.middleware.MessageMiddleware',
)

SITE_ROOT = os.path.normpath(os.path.dirname(__file__))
STATIC_ROOT = os.path.join(SITE_ROOT, 'static')
STATIC_URL = '/static/'

DASHBOARD_REDIS_CONNECTION = 'localhost:6379'
DASHBOARD_MEMCACHED_CONNECTION = 'localhost:11211'
